Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.run.xml
Class SimpleElement.AttributeMap.EntrySet

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractSet
com.tangosol.run.xml.SimpleElement.AttributeMap.EntrySet`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Iterable, java.util.Collection, java.util.Set

Enclosing class:
  SimpleElement.AttributeMap

      protected class SimpleElement.AttributeMap.EntrySet

extends java.util.AbstractSet
implements java.io.Serializable

A Set implementation to hold Entry objects.

Nested Class Summary
`protected class` | `SimpleElement.AttributeMap.EntrySet.EntrySetIterator` An Iterator over the Entry objects in the EntrySet.

Constructor Summary
`protected` | `SimpleElement.AttributeMap.EntrySet()`

Method Summary
`java.util.Iterator` | `iterator()` Returns an iterator over the elements contained in this collection.
`int` | `size()` Returns the number of elements in this collection.

Methods inherited from class java.util.AbstractSet
`equals, hashCode, removeAll`

Methods inherited from class java.util.AbstractCollection
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray, toString`

Methods inherited from interface java.util.Set
`add, addAll, clear, contains, containsAll, isEmpty, remove, retainAll, toArray, toArray`

Constructor Detail

### SimpleElement.AttributeMap.EntrySet

    protected SimpleElement.AttributeMap.EntrySet()

Method Detail

### iterator

    public java.util.Iterator iterator()

  Description copied from class: `java.util.AbstractCollection`
  Returns an iterator over the elements contained in this collection.
  Specified by:
    `iterator` in interface `java.lang.Iterable`
  Specified by:
    `iterator` in interface `java.util.Collection`
  Specified by:
    `iterator` in interface `java.util.Set`
  Specified by:
    `iterator` in class `java.util.AbstractCollection`
  Returns:
    an iterator over the elements contained in this collection.

### size

    public int size()

  Description copied from class: `java.util.AbstractCollection`
  Returns the number of elements in this collection. If the collection contains more than `Integer.MAX_VALUE` elements, returns `Integer.MAX_VALUE`.
  Specified by:
    `size` in interface `java.util.Collection`
  Specified by:
    `size` in interface `java.util.Set`
  Specified by:
    `size` in class `java.util.AbstractCollection`
  Returns:
    the number of elements in this collection.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.